from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from typing import ClassVar as _ClassVar, Mapping as _Mapping, Optional as _Optional, Union as _Union

DESCRIPTOR: _descriptor.FileDescriptor

class RequestCmd(_message.Message):
    __slots__ = ["Id"]
    ID_FIELD_NUMBER: _ClassVar[int]
    Id: int
    def __init__(self, Id: _Optional[int] = ...) -> None: ...

class Response(_message.Message):
    __slots__ = ["info"]
    INFO_FIELD_NUMBER: _ClassVar[int]
    info: str
    def __init__(self, info: _Optional[str] = ...) -> None: ...

class Image(_message.Message):
    __slots__ = ["width", "height", "channel", "data"]
    WIDTH_FIELD_NUMBER: _ClassVar[int]
    HEIGHT_FIELD_NUMBER: _ClassVar[int]
    CHANNEL_FIELD_NUMBER: _ClassVar[int]
    DATA_FIELD_NUMBER: _ClassVar[int]
    width: int
    height: int
    channel: int
    data: bytes
    def __init__(self, width: _Optional[int] = ..., height: _Optional[int] = ..., channel: _Optional[int] = ..., data: _Optional[bytes] = ...) -> None: ...

class PointCloud(_message.Message):
    __slots__ = ["size", "data"]
    SIZE_FIELD_NUMBER: _ClassVar[int]
    DATA_FIELD_NUMBER: _ClassVar[int]
    size: int
    data: bytes
    def __init__(self, size: _Optional[int] = ..., data: _Optional[bytes] = ...) -> None: ...

class ResImage(_message.Message):
    __slots__ = ["img1", "img2", "img3", "img4"]
    IMG1_FIELD_NUMBER: _ClassVar[int]
    IMG2_FIELD_NUMBER: _ClassVar[int]
    IMG3_FIELD_NUMBER: _ClassVar[int]
    IMG4_FIELD_NUMBER: _ClassVar[int]
    img1: Image
    img2: Image
    img3: Image
    img4: Image
    def __init__(self, img1: _Optional[_Union[Image, _Mapping]] = ..., img2: _Optional[_Union[Image, _Mapping]] = ..., img3: _Optional[_Union[Image, _Mapping]] = ..., img4: _Optional[_Union[Image, _Mapping]] = ...) -> None: ...

class ResCloud(_message.Message):
    __slots__ = ["cloud1", "cloud2", "cloud3", "cloud4"]
    CLOUD1_FIELD_NUMBER: _ClassVar[int]
    CLOUD2_FIELD_NUMBER: _ClassVar[int]
    CLOUD3_FIELD_NUMBER: _ClassVar[int]
    CLOUD4_FIELD_NUMBER: _ClassVar[int]
    cloud1: PointCloud
    cloud2: PointCloud
    cloud3: PointCloud
    cloud4: PointCloud
    def __init__(self, cloud1: _Optional[_Union[PointCloud, _Mapping]] = ..., cloud2: _Optional[_Union[PointCloud, _Mapping]] = ..., cloud3: _Optional[_Union[PointCloud, _Mapping]] = ..., cloud4: _Optional[_Union[PointCloud, _Mapping]] = ...) -> None: ...

class MeasureInfo(_message.Message):
    __slots__ = ["x", "y", "theta", "width", "wheelbase", "ftheta", "border", "error"]
    X_FIELD_NUMBER: _ClassVar[int]
    Y_FIELD_NUMBER: _ClassVar[int]
    THETA_FIELD_NUMBER: _ClassVar[int]
    WIDTH_FIELD_NUMBER: _ClassVar[int]
    WHEELBASE_FIELD_NUMBER: _ClassVar[int]
    FTHETA_FIELD_NUMBER: _ClassVar[int]
    BORDER_FIELD_NUMBER: _ClassVar[int]
    ERROR_FIELD_NUMBER: _ClassVar[int]
    x: float
    y: float
    theta: float
    width: float
    wheelbase: float
    ftheta: float
    border: int
    error: str
    def __init__(self, x: _Optional[float] = ..., y: _Optional[float] = ..., theta: _Optional[float] = ..., width: _Optional[float] = ..., wheelbase: _Optional[float] = ..., ftheta: _Optional[float] = ..., border: _Optional[int] = ..., error: _Optional[str] = ...) -> None: ...

class ResFrame(_message.Message):
    __slots__ = ["images", "clouds", "measure_info"]
    IMAGES_FIELD_NUMBER: _ClassVar[int]
    CLOUDS_FIELD_NUMBER: _ClassVar[int]
    MEASURE_INFO_FIELD_NUMBER: _ClassVar[int]
    images: ResImage
    clouds: ResCloud
    measure_info: MeasureInfo
    def __init__(self, images: _Optional[_Union[ResImage, _Mapping]] = ..., clouds: _Optional[_Union[ResCloud, _Mapping]] = ..., measure_info: _Optional[_Union[MeasureInfo, _Mapping]] = ...) -> None: ...
